import 'package:web_socket_channel/web_socket_channel.dart';

class WSClient {
    static final WSClient _client = WSClient();
    late WebSocketChannel _channel;
    late Stream _stream;

    void connect(String id) {
        _channel = WebSocketChannel.connect(Uri.parse("ws://skipdq.herokuapp.com"));
        // open connection
        _stream = _channel.stream.asBroadcastStream();
        _stream.listen((event) {});
        // send user id to server
        _channel.sink.add("{"
            "\"message\": \"registerSocket\","
            "\"id\": \"$id\""
            "}");
    }

    void listen(void Function(String) listener) => _stream.listen((event) => listener(event));


    static WSClient getClient() => _client;
}