import 'dart:convert';

import 'package:speedq_net/entities/Entity.dart';
import 'package:speedq_net/src/util/JsonReflector.dart';

@reflector
class School extends Entity {
    School.fromJson(String json) {
        Map<String, dynamic> map = jsonDecode(json);
        id = map["id"];
        name = map["name"];
    }

    School.fromJsonMap(Map json) {
        id = json["id"];
        name = json["name"];
    }
}